package com.casic.dcms.model;

import java.util.List;

/**
 * @author : Pengxh
 * @time : 2021/4/15 12:46
 * @email : 290677893@qq.com
 **/
public class DeptTreeBean {

    private double code;
    private DataBean data;
    private String message;
    private boolean success;

    public double getCode() {
        return code;
    }

    public void setCode(double code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {
        private List<ListBean> list;

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {

            private boolean checked;
            private String code;
            private String id;
            private String name;
            private boolean open;
            private String pcodes;
            private String pid;
            private String value;

            public boolean isChecked() {
                return checked;
            }

            public void setChecked(boolean checked) {
                this.checked = checked;
            }

            public String getCode() {
                return code;
            }

            public void setCode(String code) {
                this.code = code;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public boolean isOpen() {
                return open;
            }

            public void setOpen(boolean open) {
                this.open = open;
            }

            public String getPcodes() {
                return pcodes;
            }

            public void setPcodes(String pcodes) {
                this.pcodes = pcodes;
            }

            public String getPid() {
                return pid;
            }

            public void setPid(String pid) {
                this.pid = pid;
            }

            public String getValue() {
                return value;
            }

            public void setValue(String value) {
                this.value = value;
            }
        }
    }
}
